*figure4_5;

options ls=120 nocenter nofmterr;
libname here '.';
libname store '/var/tmp/';




data one;
set store.for_gridsearch_males
    store.for_gridsearch_females;

if ava>1.7 and ava<4.5 then ava_trim=ava;
else ava_trim=.;


if fe_m ne .  and fe_f ne . and ava_trim ne .;


proc means;
title1 'obs at firms with fe_m and fe_f and ava_trim';
class female;
run;

proc rank data=one groups=100;
var ava_trim;
ranks ava_rank;
run;

proc freq;
tables ava_rank / missing;
run;

proc summary;
class ava_rank;
var ava_trim fe_m fe_f female educ ;
output out=here.by_ava_rank
mean=
min(ava_trim)=minava
max(ava_trim)=maxava ;

proc print data=here.by_ava_rank;
var ava_rank ava_trim minava maxava fe_m fe_f female educ;







